var kDoCheck = true;

function checkForUpdate (callback, thisVersion)
{
	var url = 'http://home.mnet-online.de/mbackschat/projects/iStocks-version.txt';
	var xml_request = new XMLHttpRequest();
	xml_request.onload = function(e) {versionfile_loaded(e, xml_request, callback, thisVersion);}
	xml_request.overrideMimeType("text/plain");
	xml_request.open("GET", url);
	xml_request.setRequestHeader("Cache-Control", "no-cache");
	xml_request.send(null);
}


var reVersion = /^(\d+)\.(\d+).(\d+)/;

function versionfile_loaded (event, request, callback, thisVersion)
{
	if (request.responseText) {
		try {
			var currentVersion = request.responseText;
			if (currentVersion == null || currentVersion.length < 1) {
				throw "";
			}

			var t = reVersion.exec(thisVersion);
			var c = reVersion.exec(currentVersion);

			if (t.length != 3+1 || c.length != 3+1) {
				throw "";
			}

			var ti = parseInt(t[1])*100*100 + parseInt(t[2])*100 + parseInt(t[3]);
			var ci = parseInt(c[1])*100*100 + parseInt(c[2])*100 + parseInt(c[3]);
			if (ci > ti) {
				callback(currentVersion);
			}
			else {
				callback(null);
			}
		}
		catch (ex) {
			callback(null);
		}
	}
	else {
		callback(null);
	}
}
